> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get 1Password connection



## OpenAPI

````yaml /api-reference/credentials-ref/1password.yaml get /credentials/onepassword
openapi: 3.1.0
info:
  title: 1Password
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /credentials/onepassword:
    get:
      tags:
        - 1Password
      summary: Get 1Password connection
      operationId: retrieveOnePasswordConnection
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/OnePasswordConnection'
                required:
                  - data
                type: object
          description: Connection metadata
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CredentialErrorResponse'
                  - $ref: '#/components/schemas/ApiErrorEnvelope'
          description: >-
            Bad Request — invalid_request, package_exists, create_failed,
            update_failed, protocol_change_not_allowed (legacy body + additive
            code/message), or a generic request validation failure
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
          description: Unauthorized
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialErrorResponse'
          description: Conflict (legacy body + additive code/message)
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialErrorResponse'
          description: Credential source rate limited
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Server Error
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialErrorResponse'
          description: Credential source unavailable
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const onepassword = await client.credentials.onepassword.retrieve();

            console.log(onepassword.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            onepassword = client.credentials.onepassword.retrieve()
            print(onepassword.data)
components:
  schemas:
    OnePasswordConnection:
      properties:
        connected:
          type: boolean
        connectedAt:
          type: string
        connectedBy:
          type: string
        vaults:
          items:
            properties:
              id:
                type: string
              title:
                type: string
            required:
              - id
              - title
            type: object
          type: array
      required:
        - connected
      type: object
    CredentialErrorResponse:
      properties:
        code:
          $ref: '#/components/schemas/CredentialErrorCode'
        message:
          type: string
      required:
        - code
        - message
      type: object
    ApiErrorEnvelope:
      properties:
        code:
          type: string
        details: {}
        message:
          type: string
        retryAfterSeconds:
          type: number
        traceId:
          type: string
      required:
        - code
        - message
      type: object
    InternalServerError:
      properties:
        code:
          type: string
        message:
          type: string
        traceId:
          type: string
      required:
        - code
        - message
      type: object
    CredentialErrorCode:
      enum:
        - credential_read_only
        - credential_source_unavailable
        - credential_source_rate_limited
        - onepassword_not_connected
        - onepassword_token_invalid
        - onepassword_no_vaults
        - onepassword_reference_invalid
        - invalid_request
        - package_exists
        - credential_not_found
        - proxy_not_found
        - create_failed
        - update_failed
        - protocol_change_not_allowed
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.